Python 3

80 views
Skip to first unread message

Adrian

unread,
Feb 16, 2013, 6:48:42 PM2/16/13
to satchmo-d...@googlegroups.com
Is there any plans for Satchmo to support Python 3? If not, does anyone know of a fork that does? Django has finally moved on, it's time for those of us that depend on it to do the same.

Chris Moffitt

unread,
Feb 16, 2013, 7:52:11 PM2/16/13
to satchmo-d...@googlegroups.com
I would definitely like to start the effort but so far I haven't spent any time on it. If someone wants to start a fork I'll be happy to contribute.

On Sat, Feb 16, 2013 at 5:48 PM, Adrian <adrian...@gmail.com> wrote:
Is there any plans for Satchmo to support Python 3? If not, does anyone know of a fork that does? Django has finally moved on, it's time for those of us that depend on it to do the same.

--
You received this message because you are subscribed to the Google Groups "Satchmo developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to satchmo-develop...@googlegroups.com.
To post to this group, send email to satchmo-d...@googlegroups.com.
Visit this group at http://groups.google.com/group/satchmo-developers?hl=en.
For more options, visit https://groups.google.com/groups/opt_out.
 
 

Adrian

unread,
Feb 17, 2013, 6:29:28 PM2/17/13
to satchmo-d...@googlegroups.com
Great, I have set up a fork for this. There is bound to be one or two hold outs in the dependencies, PIL is one of them according to the Django docs. Still it's well worth the effort to be ready.

Support for Django 1.2 will need to be dropped also, v1.5 no longer has function based generic views.

On Sunday, February 17, 2013 11:52:11 AM UTC+11, Chris Moffitt wrote:
I would definitely like to start the effort but so far I haven't spent any time on it. If someone wants to start a fork I'll be happy to contribute.

On Sat, Feb 16, 2013 at 5:48 PM, Adrian <adrian...@gmail.com> wrote:
Is there any plans for Satchmo to support Python 3? If not, does anyone know of a fork that does? Django has finally moved on, it's time for those of us that depend on it to do the same.

--
You received this message because you are subscribed to the Google Groups "Satchmo developers" group.
To unsubscribe from this group and stop receiving emails from it, send an email to satchmo-developers+unsub...@googlegroups.com.

Adrian

unread,
Feb 17, 2013, 6:35:25 PM2/17/13
to satchmo-d...@googlegroups.com
Ok, I can see v1.4 is already a requirement.
Reply all
Reply to author
Forward
0 new messages